> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the cloud cost data

> Retrieve cloud cost V2



## OpenAPI

````yaml /api-specs/6.3/public-api.yaml get /api/cost/v2/cloudCost
openapi: 3.0.3
info:
  title: Domino Public API
  description: Domino Public API Endpoints
  version: 6.2.2
servers: []
security:
  - DominoApiKey: []
  - BearerAuthentication: []
tags:
  - name: AIGateway
  - name: AppInstances
  - name: AppVersions
  - name: Apps
  - name: AsyncPredictions
  - name: AuditTrail
  - name: BillingTag
  - name: BillingTagSettings
  - name: Cost
  - name: CustomMetrics
  - name: DataSource
  - name: DatasetRw
  - name: DeploymentTargets
  - name: Environments
  - name: GenAI
  - name: HardwareTier
  - name: Jobs
  - name: ModelAPI
  - name: ModelAPIVersion
  - name: ModelDeployment
  - name: Organizations
  - name: PPM
  - name: ProjectSharedDatasets
  - name: ProjectTemplates
  - name: Projects
  - name: ProjectsFiles
  - name: RegisteredModels
  - name: ServiceAccounts
  - name: Users
  - name: Workspaces
paths:
  /api/cost/v2/cloudCost:
    get:
      tags:
        - Cost
      summary: Get the cloud cost data
      description: Retrieve cloud cost V2
      operationId: getCloudCostV2
      parameters:
        - description: >-
            Duration of time over which to query. Accepts words like today,
            week, month, yesterday, lastweek, lastmonth; durations like 30m,
            12h, 7d, or time like 2021-03-10T00:00:00Z,2021-03-11T00:00:00Z
          in: query
          name: window
          required: true
          schema:
            type: string
        - description: >-
            Aggregate the cloud costs. Accepts kubecost aggregates like
            invoiceEntityID, accountID, provider, service, and label:<name>.
            Supports multi-aggregation.
          in: query
          name: aggregate
          required: false
          schema:
            items:
              type: string
            type: array
        - description: filter the result by any category which you can aggregate by.
          in: query
          name: filter
          required: false
          schema:
            type: string
        - description: Max number of rows to fetch. Defaults to 1000.
          in: query
          name: limit
          required: false
          schema:
            type: integer
        - description: How many rows from the start to skip. Defaults to 0.
          in: query
          name: offset
          required: false
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CloudCostEnvelopeV2'
          description: Success
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
components:
  schemas:
    CloudCostEnvelopeV2:
      properties:
        data:
          items:
            $ref: '#/components/schemas/CloudCostV2'
          type: array
      required:
        - data
      type: object
    CloudCostV2:
      properties:
        amortizedCost:
          $ref: '#/components/schemas/CloudCostDetailsV2'
        amortizedNetCost:
          $ref: '#/components/schemas/CloudCostDetailsV2'
        invoicedCost:
          $ref: '#/components/schemas/CloudCostDetailsV2'
        key:
          $ref: '#/components/schemas/CostKeyV2'
        listCost:
          $ref: '#/components/schemas/CloudCostDetailsV2'
        netCost:
          $ref: '#/components/schemas/CloudCostDetailsV2'
        window:
          $ref: '#/components/schemas/CostTimeWindowV2'
      type: object
    FailureEnvelopeV1:
      properties:
        errors:
          description: Errors that caused a request to fail
          items:
            type: string
          type: array
        requestId:
          description: Id used to correlate a request with server actions.
          example: bbd78579-93c4-45ee-a983-0d5c8da6d5b1
          type: string
      required:
        - requestId
        - errors
      type: object
    CloudCostDetailsV2:
      properties:
        cost:
          type: number
        kubernetesPercent:
          type: number
      type: object
    CostKeyV2:
      additionalProperties:
        type: string
      type: object
    CostTimeWindowV2:
      properties:
        end:
          type: string
        start:
          type: string
      type: object
  responses:
    '400':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Bad Request
    '401':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: >-
        The current user cannot perform this operation because they are not
        logged in
    '403':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: The current user is not authorized to perform this operation
    '404':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Not Found
    '500':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Internal Server Error
  securitySchemes:
    DominoApiKey:
      in: header
      name: X-Domino-Api-Key
      type: apiKey
    BearerAuthentication:
      in: header
      name: Authorization
      type: apiKey

````